#if !COMBAT_SERVER

using UnityEngine.Playables;
using UnityEngine.Timeline;
#endif
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic;

[System.Serializable]
public class TimeLineAudioSeralization : TimeLineAssetSerialization
{
    public string audioName;
    public bool isLoop;
    // public float volume;
    public TimeLineAudioSeralization()
    {
    }
#if !COMBAT_SERVER

    public TimeLineAudioSeralization(PlayableDirector playableDirector,   GroupTrack groupTrack,TimelineClip timelineClip): base(groupTrack,timelineClip)
    {
        AudioPlayableAsset audioPlayableAsset = timelineClip.asset as AudioPlayableAsset;
        if (audioPlayableAsset.clip != null)
        {
            audioName = audioPlayableAsset.clip.name;
            isLoop = audioPlayableAsset.loop;
            // volume = 1;
        }
    }
#endif
    public override TimeLineEventLogicBasic CreateLogic()
    {
        return new TimeLineAudioEventLogic();
    }
}